﻿
Imports System.Data
Imports Telerik.Web.UI

Partial Class RadGridCommandItemTemplateDifferentVB
    Inherits System.Web.UI.Page

    Protected Sub RadGrid1_NeedDataSource(sender As Object, e As GridNeedDataSourceEventArgs)
        RadGrid1.DataSource = GetGridSource()
    End Sub
    Private Function GetGridSource() As DataTable
        Dim dataTable As New DataTable()

        Dim column As New DataColumn()
        column.DataType = Type.[GetType]("System.Int32")
        column.ColumnName = "OrderID"
        dataTable.Columns.Add(column)

        column = New DataColumn()
        column.DataType = Type.[GetType]("System.DateTime")
        column.ColumnName = "OrderDate"
        dataTable.Columns.Add(column)

        column = New DataColumn()
        column.DataType = Type.[GetType]("System.Decimal")
        column.ColumnName = "Freight"
        dataTable.Columns.Add(column)

        column = New DataColumn()
        column.DataType = Type.[GetType]("System.String")
        column.ColumnName = "ShipName"
        dataTable.Columns.Add(column)

        column = New DataColumn()
        column.DataType = Type.[GetType]("System.String")
        column.ColumnName = "ShipCountry"
        dataTable.Columns.Add(column)

        Dim PrimaryKeyColumns As DataColumn() = New DataColumn(0) {}
        PrimaryKeyColumns(0) = dataTable.Columns("OrderID")
        dataTable.PrimaryKey = PrimaryKeyColumns

        For i As Integer = 0 To 80
            Dim row As DataRow = dataTable.NewRow()
            row("OrderID") = i + 1
            row("OrderDate") = DateTime.Now
            row("Freight") = (i + 1) + (i + 1) * 0.1 + (i + 1) * 0.01
            row("ShipName") = "Name " & (i + 1)
            row("ShipCountry") = "Country " & (i + 1)

            dataTable.Rows.Add(row)
        Next

        Return dataTable
    End Function
    Protected Sub Button1_Click(sender As Object, e As EventArgs)
        RadAjaxManager1.Alert("Top Button 1 Clicked")
    End Sub
    Protected Sub Button2_Click(sender As Object, e As EventArgs)
        RadAjaxManager1.Alert("Top Button 2 Clicked")
    End Sub
    Protected Sub RadButton1_Click(sender As Object, e As EventArgs)
        RadAjaxManager1.Alert("Bottom Button 1 Clicked")
    End Sub
    Protected Sub RadButton2_Click(sender As Object, e As EventArgs)
        RadAjaxManager1.Alert("Bottom Button 2 Clicked")
    End Sub
    Protected Sub RadGrid1_ItemCreated(sender As Object, e As GridItemEventArgs)
        If TypeOf e.Item Is GridCommandItem Then
            Dim commandItem As GridCommandItem = e.Item

            Dim topButton2 As Button = commandItem.FindControl("Button2")
            AddHandler topButton2.Click, AddressOf Button2_Click

            Dim bottomButton2 As RadButton = commandItem.FindControl("RadButton2")
            AddHandler bottomButton2.Click, AddressOf RadButton2_Click
        End If
    End Sub
    Protected Sub RadGrid1_PreRender(sender As Object, e As EventArgs)
        Dim commandItemTop As GridCommandItem = RadGrid1.MasterTableView.GetItems(GridItemType.CommandItem)(0)
        commandItemTop.FindControl("Panel2").Visible = False

        Dim commandItemBottom As GridCommandItem = RadGrid1.MasterTableView.GetItems(GridItemType.CommandItem)(1)
        commandItemBottom.FindControl("Panel1").Visible = False
    End Sub
End Class
